Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029748
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2015-04-30 10:462015-05-14 17:48
ReportermaiteView Statuspublic 
Assigned Tojorge-garcia 
PriorityurgentResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision800d3becdda0
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029748: "Create VAT register" process in Tax Payment window should consider exchange rate defined at document level

Description"Create VAT register" process in Tax Payment window should consider exchange rate defined at document level
Steps To Reproduce1. Define Price List as "Sales price list" and MXN currency. Add price list version record and define price for one product
2. Register Sales Invoice document using MXN price list. Add line and define Exchange Rate to EUR currency. Process and post invoice
3. Define Tax Register Type for "Sales transaction". Add Line for "Entregas IVA 21% - IVA Normal" tax and "AR Invoice"
4. Access Tax Payment window, set EUR as currency and valid Starting/Ending date
5. Run "Create VAT registers" process and realize that following error is raised "There is no conversion rate defined from (MXN-$) to (EUR-€) for date '30-04-2015', Client 'F&B International Group' and Organization 'F&B España - Región Norte'."
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0077339)
jorge-garcia (developer)
2015-05-12 13:13

Test Plan

As group admin:
  Define Price List as "Sales price list" and MXN currency. Add price list version record and define price for one product
  Register Sales Invoice document using MXN price list. Add line and define Exchange Rate to EUR currency. Process and post invoice
  Define Tax Register Type for "Sales transaction". Add Line for "Entregas IVA 21% - IVA Normal" tax and "AR Invoice"
  Access Tax Payment window, set EUR as currency and valid Starting/Ending date
  Run "Create VAT registers" process and realize that process is completed with no error
(0077390)
hgbot (developer)
2015-05-13 16:21

Repository: erp/devel/pi
Changeset: 800d3becdda0093e223b883d4c1caffb4c0c1e2e
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Mon May 11 18:56:21 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/800d3becdda0093e223b883d4c1caffb4c0c1e2e [^]

Fixed issue 29748: "Create VAT register" process should consider exchange rate

"Create VAT register" process in Tax Payment window should consider exchange
rate defined at document level.

The solution is to check if there is an exchange rate defined in the invoice
and if it's null, use the exchange rate defined in Conversion Rate window.

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateVatRegisters_data.xsql
---
(0077391)
hgbot (developer)
2015-05-13 16:22

Repository: erp/devel/pi
Changeset: dc69cdec624fb10ed4bb2d9d1ad69cbe71dee99f
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Wed May 13 16:20:30 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/dc69cdec624fb10ed4bb2d9d1ad69cbe71dee99f [^]

Related to bug 29748: Fix copyright

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateVatRegisters_data.xsql
---
(0077392)
umartirena (developer)
2015-05-13 16:23

Code Review + Testing OK
(0077459)
hudsonbot (developer)
2015-05-14 17:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/3375171dd310 [^]
Maturity status: Test
(0077460)
hudsonbot (developer)
2015-05-14 17:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/3375171dd310 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-04-30 10:46 maite New Issue
2015-04-30 10:46 maite Assigned To => Triage Finance
2015-04-30 10:46 maite Modules => Core
2015-04-30 10:46 maite Triggers an Emergency Pack => No
2015-04-30 10:46 maite Issue Monitored: networkb
2015-05-12 13:10 jorge-garcia Status new => scheduled
2015-05-12 13:10 jorge-garcia Assigned To Triage Finance => jorge-garcia
2015-05-12 13:13 jorge-garcia Note Added: 0077339
2015-05-13 16:21 hgbot Checkin
2015-05-13 16:21 hgbot Note Added: 0077390
2015-05-13 16:22 hgbot Status scheduled => resolved
2015-05-13 16:22 hgbot Resolution open => fixed
2015-05-13 16:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/800d3becdda0093e223b883d4c1caffb4c0c1e2e [^]
2015-05-13 16:22 hgbot Checkin
2015-05-13 16:22 hgbot Note Added: 0077391
2015-05-13 16:23 umartirena Review Assigned To => umartirena
2015-05-13 16:23 umartirena Note Added: 0077392
2015-05-13 16:23 umartirena Status resolved => closed
2015-05-13 16:23 umartirena Fixed in Version => pi
2015-05-14 17:48 hudsonbot Checkin
2015-05-14 17:48 hudsonbot Note Added: 0077459
2015-05-14 17:48 hudsonbot Checkin
2015-05-14 17:48 hudsonbot Note Added: 0077460


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker